Update additional addresses for a Midnight wallet. Used to set correct shielded/dust addresses after client-side derivation (server cannot compute JubJub/BLS12-381 keys). Only allowed for Midnight wallets.
PUT
/
sdk
/
{environmentId}
/
waas
/
{walletId}
/
additionalAddresses
Update additional wallet addresses (Midnight only)
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/additionalAddresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalAddresses": [
{
"address": "<string>",
"publicKey": "<string>",
"network": "<string>"
}
]
}
'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/additionalAddresses"
payload = { "additionalAddresses": [
{
"address": "<string>",
"publicKey": "<string>",
"network": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalAddresses: [{address: '<string>', publicKey: '<string>', network: '<string>'}]
})
};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/additionalAddresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>"
}{
"error": "Access Forbidden"
}{
"error": "Not Found",
"code": "not_found"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Body
application/json
Additional addresses to update
Required array length:
1 - 6 elementsShow child attributes
Show child attributes
Response
Additional addresses updated
Last modified on July 24, 2026
Was this page helpful?
Previous
Sign a message with a WAAS walletSigns a message using the specified WAAS wallet through an MPC ceremony.
Next
⌘I
Update additional wallet addresses (Midnight only)
